Auth - Delivery
Copy Page
3enab
🚚 Delivery Application
👤 User Application
🏪 Vendor Application
👨💼 Admin Application
🚚 Delivery Application
Auth - Delivery
Register a new delivery driver
POST
Login delivery driver
POST
Logout delivery driver
POST
Refresh access token
POST
Send phone OTP
POST
Verify phone OTP
POST
Send password reset OTP
POST
Verify password reset OTP
POST
Reset password
POST
Delivery - Orders
Get all orders for delivery coordinator
GET
Get driver's assigned orders
GET
Driver — delivered orders report (date range)
GET
Get order details
GET
Send assignment request to driver (Coordinator)
POST
Accept assignment (Driver)
POST
Reject assignment (Driver)
POST
Update order status
PATCH
Coordinator — driver delivered orders report (date/time range)
GET
Users - Delivery
Get current delivery user profile
GET
Update current delivery user profile
PUT
Delete current delivery user account
DELETE
Change password
POST
Change driver status (online/offline/busy)
PATCH
Get all drivers by status (Coordinator)
GET
Get driver by ID (Coordinator)
GET
Update driver (Coordinator)
PUT
Delete driver (Coordinator)
DELETE
Get all delivery coordinators
GET
Versions - Delivery
Get the latest version for Delivery app
Delivery - Delivery Areas
Get all delivery areas (delivery app)
Get delivery area by ID (delivery app)
Orders - Delivery
Get active orders for a specific driver
Vendors - Delivery
List vendors (Coordinator)
Auth - Delivery
Copy Page
Verify phone OTP
POST
/api/v1/delivery/auth/verify-phone-otp
Try it
Run in Apidog
Run in Apidog
Verify delivery driver's phone using OTP
Request
Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params
application/json
Required
Generate Code
Example
{
"otp"
:
"123456"
}
Responses
🟢
200
OK
Phone verified successfully
This response does not have a body.
🟠
400
Bad Request
Modified at
2026-02-13 12:11:00
Previous
Send phone OTP
Next
Send password reset OTP